"use strict";
class GlParticleContainerAdaptor {
  execute(particleContainerPop, container) {
    const state = particleContainerPop.state;
    const renderer = particleContainerPop.renderer;
    const shader = container.shader || particleContainerPop.defaultShader;
    shader.resources.uTexture = container.texture._source;
    shader.resources.uniforms = particleContainerPop.localUniforms;
    const gl = renderer.gl;
    const buffer = particleContainerPop.getBuffers(container);
    renderer.shader.bind(shader);
    renderer.state.set(state);
    renderer.geometry.bind(buffer.geometry, shader.glProgram);
    const byteSize = buffer.geometry.indexBuffer.data.BYTES_PER_ELEMENT;
    const glType = byteSize === 2 ? gl.UNSIGNED_SHORT : gl.UNSIGNED_INT;
    gl.drawElements(gl.TRIANGLES, container.particleChildren.length * 6, glType, 0);
  }
}

export { GlParticleContainerAdaptor };
//# sourceMappingURL=GlParticleContainerAdaptor.mjs.map
